Skip to main content
GET
/
api
/
v1
/
notifications
/
{notification_id}
Get Notification
curl --request GET \
  --url https://platform.unstructuredapp.io/api/v1/notifications/{notification_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_type": "<string>",
  "payload": {},
  "created_at": "2023-11-07T05:31:56Z",
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_read": false
}

Headers

unstructured-api-key
string | null

Path Parameters

notification_id
string<uuid>
required

Response

Successful Response

Single notification event.

id
string<uuid>
required

Notification event UUID

event_type
string
required

Event type (e.g., job.completed)

payload
Payload · object
required

Event payload data

created_at
string<date-time>
required

Event creation timestamp

workflow_id
string<uuid> | null

Workflow scope (null = account-level)

is_read
boolean
default:false

Read status for current user